<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form" class="form-horizontal">
          <div class="form-group">
            <label class="col-sm-2 control-label">Información del Comercio:</label>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-name-portal"><?php echo $text_name_portal; ?></label>
            <div class="col-sm-10">
              <input type="text" name="pago_efectivo_name_portal" value="<?php echo $pago_efectivo_name_portal; ?>" class="form-control" id="input-name-portal"/>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-email-portal"><?php echo $text_email_portal; ?></label>
            <div class="col-sm-10">
              <input type="text" name="pago_efectivo_email_portal" value="<?php echo $pago_efectivo_email_portal; ?>" class="form-control" id="input-email-portal"/>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-merchant-id"><?php echo $text_merchant_id; ?></label>
            <div class="col-sm-10">
              <input type="text" name="pago_efectivo_merchant_id" value="<?php echo $pago_efectivo_merchant_id; ?>" class="form-control" id="input-merchant-id"/>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-ip-address"><?php echo $text_ip_address; ?></label>
            <div class="col-sm-10">
              <input type="text" name="pago_efectivo_ip_address" value="<?php echo $_SERVER['SERVER_ADDR']; ?>" class="form-control" id="input-ip-address" readonly/>
            </div>
          </div>
          <!-- <div class="form-group">
            <label class="col-sm-2 control-label"><?php echo $text_currency_type; ?></label>
            <div class="col-sm-10">
              <label class="checkbox-inline">
                <?php if ($pago_efectivo_currency_dolar) { ?>
                  <input id="dol" type="checkbox" name="pago_efectivo_currency_dolar" value="1" checked class="form-control"/>
                  <?php echo $text_dolar; ?>
                <?php } else { ?>
                  <input id="dol" type="checkbox" name="pago_efectivo_currency_dolar" value="1" class="form-control"/>
                  <?php echo $text_dolar; ?>
                <?php } ?>
              </label>
              <label class="radio-inline">
                <?php if ($pago_efectivo_currency_sol) { ?>
                  <input id="sol" type="checkbox" name="pago_efectivo_currency_sol" value="1" checked class="form-control"/>
                  <?php echo $text_sol; ?>
                <?php } else { ?>
                  <input id="sol" type="checkbox" name="pago_efectivo_currency_sol" value="1" class="form-control"/>
                  <?php echo $text_sol; ?>
                <?php } ?>
              </label>
            </div>
          </div> -->
          <div class="form-group">
            <label class="col-sm-2 control-label">Descripción del método de pago:</label>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-desc-banc"><?php echo $text_title_desc_banc; ?></label>
            <div class="col-sm-10">
              <?php if (isset($pago_efectivo_title_desc_banc)) { ?>
                <textarea rows="4" cols="50" name="pago_efectivo_title_desc_banc" id="input-desc-banc"><?php echo $pago_efectivo_title_desc_banc; ?></textarea>
              <?php } else { ?>
                <textarea rows="4" cols="50" name="pago_efectivo_title_desc_banc" id="input-desc-banc"><?php echo $title_desc_banc_default; ?></textarea>
              <?php } ?>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-desc-agent"><?php echo $text_title_desc_agent; ?></label>
            <div class="col-sm-10">
              <?php if (isset($pago_efectivo_title_desc_agent)) { ?>
                <textarea rows="4" cols="50" name="pago_efectivo_title_desc_agent" id="input-desc-agent"><?php echo $pago_efectivo_title_desc_agent; ?></textarea>
              <?php } else { ?>
                <textarea rows="4" cols="50" name="pago_efectivo_title_desc_agent" id="input-desc-agent"><?php echo $title_desc_agent_default; ?></textarea>
              <?php } ?>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-content-question"><?php echo $text_content_question; ?></label>
            <div class="col-sm-10">
              <input type="text" name="pago_efectivo_content_question" class="form-control" id="input-content-question" <?php if (isset($pago_efectivo_content_question)) { ?>
                  value="<?php echo $pago_efectivo_content_question; ?>"
                <?php } else { ?>
                  value="<?php echo $content_question_default; ?>"
                <?php } ?>/>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-url-question"><?php echo $text_url_question; ?></label>
            <div class="col-sm-10">
              <input type="text" name="pago_efectivo_url_question" class="form-control" id="input-url-question" <?php if (isset($pago_efectivo_url_question)) { ?>
                  value="<?php echo $pago_efectivo_url_question; ?>"
                <?php } else { ?>
                  value="<?php echo $url_question_default; ?>"
                <?php } ?>/>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-integration"><?php echo $text_integration_mode; ?></label>
            <div class="col-sm-10">
              <select name="pago_efectivo_integration_mode" id="input-integration" class="form-control">
                <?php if ($pago_efectivo_integration_mode) { ?>
                  <option value="1" selected="selected"><?php echo $text_iframe; ?></option>
                  <option value="0"><?php echo $text_redirect; ?></option>
                <?php } else { ?>
                  <option value="1"><?php echo $text_iframe; ?></option>
                  <option value="0" selected="selected"><?php echo $text_redirect; ?></option>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Configuraciones:</label>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-url-server"><?php echo $text_pagoefectivo_url_server; ?></label>
            <div class="col-sm-10">
              <input type="text" name="pago_efectivo_pagoefectivo_url_server" class="form-control" id="input-url-server" 
              <?php if (isset($pago_efectivo_pagoefectivo_url_server)) { ?>
                value="<?php echo $pago_efectivo_pagoefectivo_url_server; ?>"
              <?php } else { ?>
                value="<?php echo $url_server_pagoefectivo; ?>"
              <?php } ?>/>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label"><?php echo $text_connect_test; ?></label>
            <div class="col-sm-10">
              <label class="radio-inline">
                <?php if ($pago_efectivo_connect_test) { ?>
                <input type="radio" name="pago_efectivo_connect_test" value="1" checked />
                <?php echo $text_enabled; ?>
                <?php } else { ?>
                <input type="radio" name="pago_efectivo_connect_test" value="1" />
                <?php echo $text_enabled; ?>
                <?php } ?>
              </label>
              <label class="radio-inline">
                <?php if (!$pago_efectivo_connect_test) { ?>
                <input type="radio" name="pago_efectivo_connect_test" value="0" checked />
                <?php echo $text_disabled; ?>
                <?php } else { ?>
                <input type="radio" name="pago_efectivo_connect_test" value="0" />
                <?php echo $text_disabled; ?>
                <?php } ?>
              </label>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-url-test"><?php echo $text_url_test; ?></label>
            <div class="col-sm-10">
              <a href="<?php echo $url_test; ?>" class="form-control" target="_blank" id="input-url-test"><?php echo $url_test; ?></a>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-public-key"><?php echo $text_public_key; ?></label>
            <div class="col-sm-10">
              <?php if (isset($pago_efectivo_public_key)) { ?>
                <?php echo $pago_efectivo_public_key; ?> <input type="file" name="pago_efectivo_public_key" value="<?php echo $pago_efectivo_public_key; ?>" class="form-control" id="input-public-key"/>
              <?php } else { ?>
                <input type="file" name="pago_efectivo_public_key" class="form-control" id="input-public-key"/>
              <?php } ?>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-private-key"><?php echo $text_private_key; ?></label>
            <div class="col-sm-10">
              <?php if (isset($pago_efectivo_private_key)) { ?>
                <?php echo $pago_efectivo_private_key; ?> <input type="file" name="pago_efectivo_private_key" value="<?php echo $pago_efectivo_private_key; ?>" class="form-control" id="input-private-key"/>
              <?php } else { ?>
                <input type="file" name="pago_efectivo_private_key" class="form-control" id="input-private-key"/>
              <?php } ?>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-time"><?php echo $text_time_expired; ?></label>
            <div class="col-sm-10">
              <span>Días</span>
              <input type="text" name="pago_efectivo_time_expired_day" value="<?php echo $pago_efectivo_time_expired_day; ?>" class="form-control" id="input-time"/> 
              <span>Horas</span>
              <select name="pago_efectivo_time_expired_hour" class="form-control">
                <?php for($i = 0; $i <= 23; $i++) { ?>
                  <?php if ($pago_efectivo_time_expired_hour == $i) { ?>
                    <option value="<?php echo $i; ?>" selected="selected"><?php echo $i; ?></option>
                  <?php } else { ?>
                    <option value="<?php echo $i; ?>"><?php echo $i; ?></option>
                  <?php } ?>
                <?php } ?>
              </select>
              <span>Minutos</span>
              <select name="pago_efectivo_time_expired_minute" class="form-control">
                <?php for($i = 0; $i <= 59; $i++) { ?>
                  <?php if ($pago_efectivo_time_expired_minute == $i) { ?>
                    <option value="<?php echo $i; ?>" selected="selected"><?php echo $i; ?></option>
                  <?php } else { ?>
                    <option value="<?php echo $i; ?>"><?php echo $i; ?></option>
                  <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
            <div class="col-sm-10">
              <select name="pago_efectivo_status" id="input-status" class="form-control">
                <?php if ($pago_efectivo_status) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status"><?php echo $entry_order_status; ?></label>
            <div class="col-sm-10">
              <select name="pago_efectivo_order_status_id" id="input-order-status" class="form-control">
                <?php foreach ($order_statuses as $order_status) { ?>
                <?php if ($order_status['order_status_id'] == $pago_efectivo_order_status_id) { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?>