<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form" data-toggle="tooltip" title="<?php echo $text_button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $text_button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php if (isset($heading_title)){echo $heading_title;} ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php if (isset($text_form)){echo $text_form;} ?></h3>
      </div>
      <div class="panel-body">
        <ul class="nav nav-tabs" id="myTab">
          <li class="active"><a href="#tab-actualizar" data-toggle="tab"><?php if (isset($heading_title_1)){echo $heading_title_1;} ?></a></li>
          <li><a href="#tab-eliminar" data-toggle="tab"><?php if (isset($heading_title_2)){echo $heading_title_2;} ?></a></li>
          <li><a href="#tab-fecha" data-toggle="tab"><?php if (isset($heading_title_3)){echo $heading_title_3;} ?></a></li>
          <!-- <li><a href="#tab-conciliar" data-toggle="tab"><?php echo $heading_title_4; ?></a></li> -->
        </ul>
        <div class="tab-content">
          <div class="tab-pane active" id="tab-actualizar">
            <form method="post" action="<?php echo $action; ?>" enctype="multipart/form-data">
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-actualizar"><span data-toggle="tooltip"><?php if (isset($content_title_1)){echo $content_title_1;} ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="numeros_cip" value="" id="input-actualizar" class="form-control" />
                  <input type="submit" name="submit" value="<?php if (isset($input_value_1)){echo $input_value_1;} ?>" class="button" />
                </div>
              </div>
              <div class="form-group">
                <div class="col-sm-12">
                  <?php if (isset($content_mensaje_1)){echo $content_mensaje_1;} ?>
                </div>
                <div class="col-sm-12">
                  <?php if (isset($mensaje_actualizar)){echo $mensaje_actualizar;} ?>
                </div>
              </div>
            </form>
          </div>
          <div class="tab-pane" id="tab-eliminar">
            <form method="post" action="<?php echo $action; ?>" enctype="multipart/form-data">
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-eliminar"><span data-toggle="tooltip"><?php if (isset($content_title_2)){echo $content_title_2;} ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="numeros_cip" value="" id="input-eliminar" class="form-control" />
                  <input type="submit" name="submit" value="<?php if (isset($input_value_2)){echo $input_value_2;} ?>" class="button" />
                </div>
              </div>
              <div class="form-group">
                <div class="col-sm-12">
                  <?php if (isset($content_mensaje_2)){echo $content_mensaje_2;} ?>
                </div>
                <div class="col-sm-12">
                  <?php if (isset($mensaje_eliminar)){echo $mensaje_eliminar;} ?>
                </div>
              </div>
            </form>
          </div>
          <div class="tab-pane" id="tab-fecha">
            <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-fecha"><span data-toggle="tooltip"><?php if (isset($content_title_3)){echo $content_title_3;} ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="numeros_cip" value="" id="input-fecha" class="form-control" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-date-available"><span data-toggle="tooltip"><?php if (isset($content_title_3_2)){echo $content_title_3_2;} ?></span></label>
                <div class="col-sm-2">
                  <div class="input-group">
                    <input type="text" name="fecha" data-date-format="DD/MM/YYYY" id="input_actualizar_fecha" class="form-control" />
                  </div>
                </div>
                <div class="col-sm-7">
                  <input type="submit" name="submit" value="<?php if (isset($input_value_3)){echo $input_value_3;} ?>" class="button" id="boton_actualizar_fecha"/>
                </div>
                <div class="col-sm-12">
                  <?php if (isset($content_mensaje_2)){echo $content_mensaje_2;} ?>
                </div>
                <div class="col-sm-12">
                  <?php if (isset($mensaje_actualizar_fecha)){echo $mensaje_actualizar_fecha;} ?>
                </div>
              </div>
            </form>
          </div>
          <!-- <div class="tab-pane" id="tab-conciliar">
            <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">

              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-conciliar"><span data-toggle="tooltip"><?php echo $content_title_4; ?></span></label>
                <div class="col-sm-10">
                  <input type="file" name="archivo_conciliacion" value="" id="input-conciliar" class="form-control" />
                  <input type="submit" name="submit" value="<?php echo $input_value_4; ?>" class="button" />
                </div>
              </div>
              <div class="form-group">
                <div class="col-sm-12">
                  <?php echo isset($mensaje_conciliar); ?>
                </div>
              </div>
            </form>
          </div> -->
        </div>
      </div>
    </div>
  </div>
</div>
<script type="text/javascript">
$(function() { 
    // for bootstrap 3 use 'shown.bs.tab', for bootstrap 2 use 'shown' in the next line
    $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
        // save the latest tab; use cookies if you like 'em better:
        localStorage.setItem('lastTab', $(this).attr('href'));
    });

    // go to the latest tab, if it exists:
    var lastTab = localStorage.getItem('lastTab');
    if (lastTab) {
        $('[href="' + lastTab + '"]').tab('show');
    }
});
</script>
<script type="text/javascript">
$('.date').datetimepicker({
  pickTime: false
});

$('.time').datetimepicker({
  pickDate: false
});

$('.datetime').datetimepicker({
  pickDate: true,
  pickTime: true
});
</script> 
<!-- <script type="text/javascript">
$('#tabs a').tabs();
</script> -->
<script type="text/javascript">
// jQuery(document).ready(function($) {
//   $('#boton_actualizar_fecha').prop('disabled', true);
//   $('#input_actualizar_fecha').change(function() {
//     if($(this).val() != ' ') {
//        $('#boton_actualizar_fecha').prop('disabled', false);
//     }
//   });
// });

$(document).ready(function() {
  $('#boton_actualizar_fecha').prop('disabled', true);
  $('#input_actualizar_fecha').datetimepicker().on('change', function(ev) {
  //$('#input_actualizar_fecha').change(function() {
    //alert("hola");
    //console.log("hola");
    if($(this).val() != '') {
    //   console.log("hola");
      $('#boton_actualizar_fecha').prop('disabled', false );
    }
  });
});
</script>
<?php echo $footer; ?>