<?php

class ControllerTestPagoEfectivoTest extends Controller {

    public function index() {

        $this->document->setTitle('PagoEfectivo Payment Method Configuration - Test');

        $data['test'] = $this->config->get('pago_efectivo_connect_test');

        $data['pago_efectivo_url_server'] = $this->config->get('pago_efectivo_pagoefectivo_url_server');

        $data['ip'] = $_SERVER["SERVER_ADDR"];

        $data['url_servidor'] = "/";

        if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/test/pago_efectivo_test.tpl')) {

            $template = $this->config->get('config_template') . '/template/test/pago_efectivo_test.tpl';

        } else {

            $template = 'default/template/test/pago_efectivo_test.tpl';

        }

        $data['header'] = $this->load->controller('common/header');
        $data['column_left'] = $this->load->controller('common/column_left');
        $data['footer'] = $this->load->controller('common/footer');
        $data['column_right'] = $this->load->controller('common/column_right');
        $data['content_top'] = $this->load->controller('common/content_top');
        $data['content_bottom'] = $this->load->controller('common/content_bottom');

        $this->response->setOutput($this->load->view($template, $data));
    }

}